/* $Id: owntypes.h,v 1.7 2000/04/06 07:26:53 jm Exp $
 * Some type definitions for fixed size types
 *
 * Dynamic hierarchial IP tunnel
 * Copyright (C) 1998-2000, Dynamics group
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */

#ifndef OWNTYPES_H
#define OWNTYPES_H

#ifdef OS_AMIGAOS

/* AMIGAOS */
typedef unsigned char __u8;
typedef unsigned short __u16;
typedef unsigned int __u32;

#include <sys/types.h>

#else

/* default - Linux */

#include <asm/types.h>

#endif

#ifndef u8
#define u8 __u8
#endif

#ifndef u16
#define u16 __u16
#endif

#ifndef u32
#define u32 __u32
#endif


#endif
